View Issue Details

IDProjectCategoryLast Update
0022194AI War 2[All Projects] SuggestionDec 5, 2019 9:19 pm
ReporterdonblasAssigned Todonblas 
Severityfeature 
Status resolvedResolutionfixed 
Product Version1.007 The Player/AI Arms Race Intensifies 
Fixed in Version1.013 Menacing Messages From The Machine 
Summary0022194: UI to select fleet name packs
DescriptionApparently you can mod in fleet name via

AIWar 2 > GameData > Configuration > FleetNames_Mobile_P1 OR P2

But there isn't a way to select between packs, like you can with planet names.

This is a feature request for that for fleet names :)
TagsNo tags attached.

Activities

BadgerBadger

Nov 13, 2019 5:26 pm

manager   ~0054546

Last edited: Nov 13, 2019 5:30 pm

View 2 revisions

First post a few namesets, then we'll talk.

I think this is a great idea.

donblas

Nov 13, 2019 5:31 pm

developer   ~0054548

Challenge accepted.

donblas

Nov 13, 2019 10:38 pm

developer   ~0054549

Attached are 5 lists I banged out.

Both of the ship sets are from wikipedia, with anything with spaces and periods removed. US states obviously has spaces.

However, for these to work I need a change. Right now the name sets assume prefix and suffix pairs. However, these are straight lists to choose from.

To make it work I created a P2 file with a single entry of one space. That doesn't play well, as you get a space in every ship name (see attached image). If it is an empty file, the game freaks out and picks random numbers.

Can we adjust the name code to say something like "If we find zero entries we just append empty string as a pre/suffix"?

British Ships.txt (521 bytes)
Victory
Vanguard
Victorious
Vigilant
Vengeance
Astute
Ambush
Artful
Trenchant
Talent
Triumph
Albion
Bulwark
Daring
Dauntless
Diamond
Dragon
Defender
Duncan
Lancaster
Monmouth
Montrose
Westminster
Northumberland
Richmond
Somerset
Sutherland
Kent
Portland
Tyne
Clyde
Forth
Archer
Biter
Smiter
Pursuer
Blazer
Dasher
Puncher
Charger
Ranger
Trumpeter
Express
Example
Explorer
Exploit
Tracker
Raider
Scimitar
Sabre
Echo
Enterprise
Scott
Protector
Magpie
Excellent
Bristol
British Ships.txt (521 bytes)
space.png (188,501 bytes)
space.png (188,501 bytes)
US Ships.txt (1,559 bytes)
Alabama
Alaska
Albany
Alexandria
America
Anchorage
Annapolis
Antietam
Anzio
Ardent
Arlington
Asheville
Ashland
Bainbridge
Barry
Bataan
Benfold
Billings
Boise
Boxer
Bulkeley
California
Carney
Chafee
Champion
Chancellorsville
Charleston
Charlotte
Cheyenne
Chicago
Chief
Chinook
Chosin
Chung-Hoon
Cincinnati
Cole
Colorado
Columbia
Columbus
Comstock
Connecticut
Constitution
Coronado
Cowpens
Decatur
Detroit
Devastator
Dewey
Dextrous
Essex
Farragut
Firebolt
Fitzgerald
Florida
Freedom
Georgia
Germantown
Gettysburg
Gladiator
Gonzalez
Gravely
Greeneville
Gridley
Halsey
Hampton
Hartford
Hawaii
Helena
Higgins
Hopper
Howard
Hurricane
Illinois
Independence
Indiana
Indianapolis
Jackson
Kearsarge
Kentucky
Kidd
Laboon
Lassen
Louisiana
Mahan
Maine
Manchester
Maryland
Mason
McCampbell
McFaul
Michigan
Milius
Milwaukee
Minnesota
Mississippi
Missouri
Mitscher
Momsen
Monsoon
Monterey
Montgomery
Montpelier
Mustin
Nebraska
Nevada
Nimitz
Nitze
Normandy
O'Kane
Ohio
Omaha
Pasadena
Patriot
Pinckney
Pioneer
Porter
Portland
Preble
Princeton
Providence
Pueblo
Ramage
Roosevelt
Ross
Rushmore
Russell
Sampson
Scout
Scranton
Seawolf
Sentry
Shamal
Shiloh
Shoup
Sirocco
Somerset
Springfield
Spruance
Squall
Sterett
Stethem
Stockdale
Stout
Tempest
Tennessee
Texas
Thunderbolt
Toledo
Topeka
Tornado
Tortuga
Truxtun
Tucson
Tulsa
Typhoon
Vicksburg
Virginia
Warrior
Washington
Wasp
Whirlwind
Wichita
Wyoming
Zephyr
Zumwalt
US Ships.txt (1,559 bytes)
Roman Army.txt (190 bytes)
Germanica
Sabina
Cyrenaica
Gallica
Macedonica
Scythica
Alaudae
Ferrata
Victrix
Augusta
Fretensis
Equestris
Claudia
Victrix
Fulminata
Gemina
Gemina
Classica
Libyca
Classica
Roman Army.txt (190 bytes)
Gods.txt (200 bytes)
Aphrodite
Apollo
Ares
Artemis
Athena
Demeter
Dionysus
Hades
Hephaestus
Hera
Hermes
Hestia
Poseidon
Zeus
Chaos
Chronos
Jupiter
Mars
Juno
Minerva
Vulcan
Vesta
Ceres
Janus
Minerva
Gods.txt (200 bytes)
States.txt (520 bytes)
Alabama
Alaska
Arizona
Arkansas
California
Colorado
Connecticut
Delaware
Florida
Georgia
Hawaii
Idaho
Illinois
Indiana
Iowa
Kansas
Kentucky
Louisiana
Maine
Maryland
Massachusetts
Michigan
Minnesota
Mississippi
Missouri
Montana
Nebraska
Nevada
New Hampshire
New Jersey
New Mexico
New York
North Carolina
North Dakota
Ohio
Oklahoma
Oregon
Pennsylvania
Rhode Island
South Carolina
South Dakota
Tennessee
Texas
Utah
Vermont
Virginia
Washington
West Virginia
Wisconsin
Wyoming
States.txt (520 bytes)

donblas

Nov 13, 2019 10:42 pm

developer   ~0054550

Beyond the states and gods, I'm not stuck on the other three. They seemed like a good idea, but if we don't use them I won't be sad. Suggestions also welcome.

donblas

Dec 3, 2019 10:32 pm

developer   ~0054792

In work.

BadgerBadger

Dec 4, 2019 12:53 am

manager   ~0054800

Other suggestions:
famous chess players
cowardly ships (the british ships list is full of things like "Valiant" and "Dauntless". What about a bunch of fleets like "Timorous", "Cowardly", "Defeat", "Mouse", "Plodding", "Doleful", "Inept", "BraveSirRobin", etc... )

Issue History

Date Modified Username Field Change
Nov 13, 2019 5:22 pm donblas New Issue
Nov 13, 2019 5:26 pm BadgerBadger Note Added: 0054546
Nov 13, 2019 5:30 pm BadgerBadger Note Edited: 0054546 View Revisions
Nov 13, 2019 5:31 pm donblas Note Added: 0054548
Nov 13, 2019 10:38 pm donblas File Added: British Ships.txt
Nov 13, 2019 10:38 pm donblas File Added: Gods.txt
Nov 13, 2019 10:38 pm donblas File Added: Roman Army.txt
Nov 13, 2019 10:38 pm donblas File Added: States.txt
Nov 13, 2019 10:38 pm donblas File Added: US Ships.txt
Nov 13, 2019 10:38 pm donblas File Added: space.png
Nov 13, 2019 10:38 pm donblas Note Added: 0054549
Nov 13, 2019 10:42 pm donblas Note Added: 0054550
Dec 2, 2019 9:11 pm donblas Assigned To => donblas
Dec 2, 2019 9:11 pm donblas Status new => assigned
Dec 3, 2019 10:32 pm donblas Status assigned => confirmed
Dec 3, 2019 10:32 pm donblas Note Added: 0054792
Dec 4, 2019 12:53 am BadgerBadger Note Added: 0054800
Dec 5, 2019 9:19 pm donblas Status confirmed => resolved
Dec 5, 2019 9:19 pm donblas Resolution open => fixed
Dec 5, 2019 9:19 pm donblas Fixed in Version => 1.013 Menacing Messages From The Machine